Bug 1121846 - [RFE][keystone]: LDAP Authentication using compare() method
Summary: [RFE][keystone]: LDAP Authentication using compare() method
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: RFEs
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: RHOS Maint
QA Contact:
URL: https://blueprints.launchpad.net/keys...
Whiteboard: upstream_milestone_none upstream_defi...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-22 04:06 UTC by RHOS Integration
Modified: 2015-07-22 17:58 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-19 16:51:53 UTC


Attachments (Terms of Use)

Description RHOS Integration 2014-07-22 04:06:29 UTC
Cloned from launchpad blueprint https://blueprints.launchpad.net/keystone/+spec/ldap-authentication-using-compare-method.

Description:

Scenario: 
Enterprise utilises a centralised LDAP Direcory for SSO purposes. User management (creation, update, deletion etc... ) realised via  LDAP BUI app.   Keystone configured to authenticate against the Enterprise LDAP directory (read-only mode).  
To minimise ldap traffic & simplify the authentication process is it possible to implement a switch (in conf file) and update python code enabling keystone to use the compare() method for authentication purposes.

Specification URL (additional information):

None


Note You need to log in before you can comment on or make changes to this bug.